version: "1.0"
generated_at: "2026-03-05T10:25:37.156Z"
product_slug: fort-tekton-construction
brand_guidelines_ref: design/brand-guidelines.md
logo_ref: design/assets/logo.svg
tokens:
  colors:
    primary: "#8b5cf6"
    primary_dark: "#7c3aed"
    secondary: "#6366f1"
    surface: "#1a1a1a"
    surface_alt: "#262626"
    text_primary: "#ffffff"
    text_muted: "#a3a3a3"
    success: "#16a34a"
    warning: "#d97706"
    error: "#dc2626"
    info: "#2563eb"
  typography:
    font_family_heading: Inter
    font_family_body: Inter
    scale:
      h1:
        size: 32px
        weight: 700
        line_height: 40px
      h2:
        size: 24px
        weight: 600
        line_height: 32px
      h3:
        size: 20px
        weight: 600
        line_height: 28px
      body:
        size: 14px
        weight: 400
        line_height: 22px
      caption:
        size: 12px
        weight: 400
        line_height: 16px
  spacing:
    base: 4
    scale:
      - 4
      - 8
      - 12
      - 16
      - 24
      - 32
      - 48
      - 64
  radius:
    sm: 4px
    md: 8px
    lg: 12px
    full: 9999px
  shadows:
    sm: 0 1px 2px rgba(0,0,0,0.05)
    md: 0 4px 6px rgba(0,0,0,0.07)
    lg: 0 10px 15px rgba(0,0,0,0.1)
components:
  - id: btn-primary
    name: Button — Primary
    category: Actions
    tokens_used:
      - colors.primary
      - typography.body
      - radius.md
      - spacing.scale
    variants:
      - default
      - hover
      - disabled
      - loading
  - id: btn-secondary
    name: Button — Secondary
    category: Actions
    tokens_used:
      - colors.secondary
      - typography.body
      - radius.md
      - spacing.scale
    variants:
      - default
      - hover
      - disabled
  - id: btn-ghost
    name: Button — Ghost
    category: Actions
    tokens_used:
      - colors.text_primary
      - typography.body
      - radius.md
      - spacing.scale
    variants:
      - default
      - hover
      - disabled
  - id: input-default
    name: Input — Default
    category: Forms
    tokens_used:
      - colors.surface
      - colors.text_primary
      - radius.md
      - spacing.scale
    variants:
      - default
      - focus
      - error
      - disabled
  - id: card-default
    name: Card — Default
    category: Feedback
    tokens_used:
      - colors.surface
      - shadows.md
      - radius.lg
      - spacing.scale
    variants:
      - default
      - elevated
      - bordered
      - clickable
  - id: nav-sidebar
    name: Navigation — Sidebar
    category: Navigation
    tokens_used:
      - colors.surface
      - colors.primary
      - typography.body
    variants:
      - expanded
      - collapsed
  - id: badge-status
    name: Badge — Status
    category: Feedback
    tokens_used:
      - colors.success
      - colors.warning
      - colors.error
      - colors.info
      - typography.caption
    variants:
      - success
      - warning
      - error
      - info
      - neutral
  - id: avatar
    name: Avatar
    category: Feedback
    tokens_used:
      - colors.primary
      - typography.body
      - radius.full
    variants:
      - sm
      - md
      - lg
  - id: modal-default
    name: Modal — Default
    category: Feedback
    tokens_used:
      - colors.surface
      - shadows.lg
      - radius.lg
      - spacing.scale
    variants:
      - default
      - confirmation
      - alert
  - id: table-default
    name: Table — Default
    category: Feedback
    tokens_used:
      - colors.surface
      - colors.surface_alt
      - typography.body
      - typography.caption
    variants:
      - header
      - row-default
      - row-hover
      - row-selected
      - empty
  - id: alert-toast
    name: Alert / Toast
    category: Feedback
    tokens_used:
      - colors.success
      - colors.warning
      - colors.error
      - colors.info
      - radius.md
    variants:
      - info
      - success
      - warning
      - error
  - id: logo
    name: Logo
    category: Brand
    ref: design/assets/logo.svg
    tokens_used:
      - colors.primary
    variants:
      - full-lockup
      - icon-only
  - id: empty-state
    name: Empty State
    category: Feedback
    tokens_used:
      - colors.text_muted
      - typography.h3
      - typography.body
      - spacing.scale
    variants:
      - default
      - with-cta
